Fills for a completed trade
curl --request GET \
--url https://api.hypedexer.com/completed-trades/{trade_id}/fills \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hypedexer.com/completed-trades/{trade_id}/fills"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hypedexer.com/completed-trades/{trade_id}/fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "3 fills found for trade_id trade_BTC_05129276",
"data": [
{
"user": "0x03501b144dd7c30bc0e83a5c34a37c7f15d576d5",
"coin": "BTC",
"coinMeaning": "BTC",
"px": 81116,
"sz": 0.01529,
"side": "A",
"time": "2026-09-19T06:44:41.657999",
"startPosition": -0.02709,
"dir": "Open Short",
"closedPnl": 0,
"hash": "0x5b9872da040936955d120444ba253102046300bf9f0c5567ff611e2cc30d107f",
"oid": 549631514503,
"crossed": 0,
"tid": 354712720269698,
"cloid": "0x50481128000022d49734eb5e5636f955",
"fee": 1.155924,
"feeToken": "USDC",
"feeUsdc": "perp",
"typeTrade": "2026-09-19T06:44:43"
},
{
"user": "0x03501b144dd7c30bc0e83a5c34a37c7f15d576d5",
"coin": "BTC",
"coinMeaning": "BTC",
"px": 81116,
"sz": 0.02709,
"side": "A",
"time": "2026-09-19T06:44:41.657999",
"startPosition": 0,
"dir": "Open Short",
"closedPnl": 0,
"hash": "0x5b9872da040936955d120444ba253102046300bf9f0c5567ff611e2cc30d107f",
"oid": 549631514503,
"crossed": 0,
"tid": 429436301999256,
"cloid": "0x50481128000022d49734eb5e5636f955",
"fee": 2.048006,
"feeToken": "USDC",
"feeUsdc": "perp",
"typeTrade": "2026-09-19T06:44:43"
}
],
"total_count": 3,
"execution_time_ms": 285.24,
"next_cursor": null,
"has_more": null
}Completed Trades
Fills for a completed trade
GET
/
completed-trades
/
{trade_id}
/
fills
Fills for a completed trade
Authorizations
Your Hypedexer API key. Create one in the console at https://app.hypedexer.com. Authorization: Bearer <key> and the api_key query parameter are accepted as well.